# Uses of Enum Class
org.bukkit.entity.Parrot.Variant

Packages that use Parrot.Variant
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Parrot.Variant in org.bukkit.entity

Methods in org.bukkit.entity that return Parrot.Variant
Modifier and Type
Method
Description
`@NotNull Parrot.Variant`
Parrot.`getVariant()`
Get the variant of this parrot.
`static Parrot.Variant`
Parrot.Variant.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Parrot.Variant[]`
Parrot.Variant.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Parrot.Variant
Modifier and Type
Method
Description
`void`
Parrot.`setVariant(@NotNull Parrot.Variant variant)`
Set the variant of this parrot.